import { BaseProvider } from './BaseProvider';
export declare class JsonRpcProvider extends BaseProvider {
    /**
     * @ignore
     */
    selectRpcUrl(): string;
    /**
     * @ignore
     */
    post(body: Record<string, unknown>): Promise<any>;
    /**
     * @param rpcUrl The URL to your Eth node. Consider POKT or Infura
     * @example
     * `https://free-eth-node.com/api/eth`
     * @example
     * `https://mainnet.infura.io/v3/YOUR-PROJECT-ID`
     */
    constructor(rpcUrl?: string);
}
/**
 * Helper function to avoid "new"
 *
 * @param rpcUrl the RPC URL to post requests to
 * @returns an initiated {@link JsonRpcProvider}
 * @example
 * ```javascript
 * jsonRpcProvider().getBlock('latest').then(block => {
 *   console.log(block.number);
 * })
 * // 14530496
 * ```
 */
export declare function jsonRpcProvider(rpcUrl?: string): JsonRpcProvider;
