"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.rpcUrls = exports.fakeUrls = void 0;
const zod_1 = __importDefault(require("zod"));
exports.fakeUrls = {
    notRPCButRealHttp: 'https://httpstat.us/200',
};
const RPC_ORIGIN = 'https://free-eth-node.com';
zod_1.default.string({
    required_error: '"RPC_ORIGIN" required but not found',
})
    .url('Expected url for "RPC_ORIGIN"')
    .parse(RPC_ORIGIN);
exports.rpcUrls = {
    mainnet: `${RPC_ORIGIN}/api/eth`,
    oeth: `${RPC_ORIGIN}/api/oeth`,
    matic: `${RPC_ORIGIN}/api/MATIC`,
    gno: `${RPC_ORIGIN}/api/gno`,
    bnb: `${RPC_ORIGIN}/api/bnb`,
    arb1: `${RPC_ORIGIN}/api/arb1`,
    gor: `${RPC_ORIGIN}/api/gor`,
};
