/**
 * Converts a string in scientific notation formatting to string in decimal format
 *
 * @param scientificString a string in scientific format to convert to decimal
 * @returns a string of a decimal number equivalent to the specified scientificString
 * @example
 * ```javascript
 * scientificStrToDecimalStr('2.3e-5');
 * // '0.000023'
 * ```
 * @example
 * ```javascript
 * scientificStrToDecimalStr('2.3e+5');
 * // '230000'
 * ```
 */
export declare function scientificStrToDecimalStr(scientificString: string): string;
