import { tinyBig } from '../../shared/tiny-big/tiny-big';
import { toChecksumAddress } from '../../utils/to-checksum-address';
import { cleanTransaction } from './clean-transaction';
import { hexToDecimal } from './hex-to-decimal';
export function cleanBlock(block, returnTransactionObjects) {
    const cleanedBlock = { ...block };
    Object.keys(block).forEach((key) => {
        if (!block[key])
            return;
        switch (key) {
            case 'difficulty':
            case 'totalDifficulty':
            case 'gasLimit':
            case 'gasUsed':
            case 'size':
            case 'timestamp':
            case 'baseFeePerGas':
                cleanedBlock[key] = tinyBig(hexToDecimal(block[key]));
                break;
            case 'number':
                cleanedBlock[key] = Number(hexToDecimal(block[key]));
                break;
            case 'miner':
                cleanedBlock[key] = toChecksumAddress(block[key]);
                break;
        }
    });
    if (returnTransactionObjects) {
        const txns = block.transactions;
        txns.forEach((transaction, index) => {
            cleanedBlock.transactions[index] = cleanTransaction(transaction);
        });
    }
    return cleanedBlock;
}
