import unfetch from 'isomorphic-unfetch';
export function buildFetchInit(body) {
    return {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
        },
        body: JSON.stringify(body),
    };
}
export function post(url, body) {
    return unfetch(url, buildFetchInit(body))
        .then(async (r) => {
        const t = await r.text();
        try {
            return JSON.parse(t);
        }
        catch {
            throw new Error(`Invalid JSON RPC response: "${t}"`);
        }
    })
        .then((response) => {
        const result = response?.result;
        if (!result) {
            throw new Error(`Invalid JSON RPC response: ${JSON.stringify(response)}`);
        }
        return response.result;
    });
}
export function buildRPCPostBody(method, params) {
    return {
        jsonrpc: '2.0',
        id: 1,
        method,
        params,
    };
}
